; SketchyLISP Extension Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; last

; ---conformance---
; SketchyLISP Extension

; ---purpose---
; Extract the last member of a list.

; ---args---
; X - list

; ---keywords---
; LAST function, list, last member

; ---see-also---
; tail?, head?

; ---example---
; (last '(a b c d e f)) => f

; (require "lib/reverse.scm")

; ---code---
(define (last x)
  (car (reverse x)))
