; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; char<?

; ---conformance---
; R5RS

; ---purpose---
; Test whether a sequence of chars is in lexically ascending order.

; ---args---
; X - char
; Y... - chars

; ---keywords---
; CHAR<? function, chars, characters, comparison
; lexical order, ascending

; ---see-also---
; char-ci<?, char=?, char>?, char<=?, char>=?, string<?, equal?

; ---example---
; (char<? #\a #\b) => #t

(define cltp #t)

; (require "pred-iter.scm") ; predicate-iterator
; (load "less.scm") ; <

; ---model---
; (define char<?
;   (predicate-iterator
;     (lambda (x y)
;       (< (char->integer x)
;          (char->integer y)))))

; ---code---
; This function is a primitive function.

