; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; remainder

; ---conformance---
; R5RS

; ---purpose---
; Compute the division remainder of two numbers.

; ---args---
; A - number (dividend)
; B - number (divisor)

; ---keywords---
; REMAINDER function, division, remainder, division remainder
; modulus, arithmetics

; ---see-also---
; digits, quotient, modulo, divide, +, -, *, nremainder

; ---example---
; (remainder 123 -23) => 8

(define remainder #t)

(require "divide.scm")
(require "caar.scm") ; cadr

; ---code---
(define (remainder a b)
  (cadr (divide a b)))
