; SketchyLISP Library
; Copyright (C) 2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; vector

; ---conformance---
; R5RS

; ---purpose---
; Create a vector from arguments.

; ---args---
; X... - data

; ---keywords---
; VECTOR function, vector

; ---see-also---
; list, string

; ---example---
; (vector 'a 'b 'c) => #(a b c)

(define vector #t)

; ---code---
(define (vector . x) (list->vector x))
